<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
import Foundation
import ServiceStack

public class SendForTranslation : Codable
{
    public var ids:[String]
    public var projectData:CreateProject

    required public init(){}
}

public class CreateProject : IProjectInfo, Codable
{
    public var title:String
    public var startDate:Date?
    public var endDate:Date?
    public var Description:String
    public var connector:String
    public var poReference:String
    public var actualSourceLanguage:String

    required public init(){}
}


Swift SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}